Subject: [Shop-talk] Land Cruiser value

From: Dave Cavanaugh <[email-masked]>
Date: Thu, 15 Jan 2015 19:04:16 -0800

My sister-in-law's late husband left her an 84 land cruiser (the station 
wagon model, not the jeep model) in decent shape but with unknown miles 
at this point.  I have seen it a couple of times but never ridden in it 
or driven it, and I'm not a 4x4 guy.  Are these things worth anything, 
and is there any kind of market for them? She has no use for it but 
doesn't just want to throw it out on CL and have to deal with the 
inevitable knuckleheads that will call.

thanks
Dave
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive